'use strict';

/**
 * @description 返回测试路由配置
 * @type {[]}
 */
function domePages(settings) {
  return [

    {
      path: '/',
      component: settings.layout,
      redirect: '/index',
      children: [
        {
          path: 'index',
          name: '测试首页',
          component: () => import('@/dome/base/index/index'),
          meta: {
            title: '测试首页',
            icon: 'xdicon_kaifa'
          },
        },
      ]
    },
    {
      path: '/formCascade',
      component: settings.layout,
      redirect: '/formCascade/formCascade',
      children: [
        {
          path: 'formCascade',
          name: '测试表单联动',
          component: () => import('@/dome/base/formCascade/index'),
          meta: {
            title: '测试表单联动',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/jbz',
      component: settings.layout,
      redirect: '/jbz/index',
      children: [
        {
          path: 'jbz',
          name: 'jbz_index',
          component: () => import('@/dome/base/jbz/index'),
          meta: {
            title: '建步骤',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/tz',
      component: settings.layout,
      redirect: '/tz/index',
      children: [
        {
          path: 'jbz',
          name: 'jbz_index',
          component: () => import('@/dome/base/tuozhuai/index'),
          meta: {
            title: '拖拽功能',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/form',
      component: settings.layout,
      redirect: '/form/form',
      children: [
        {
          path: 'form',
          name: '自定义表单',
          component: () => import('@/dome/base/form/index'),
          meta: {
            title: '自定义表单',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/list',
      component: settings.layout,
      redirect: '/list/list',
      children: [
        {
          path: 'form',
          name: '自定义列表',
          component: () => import('@/dome/base/list/index'),
          meta: {
            title: '自定义列表',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/group-form',
      component: settings.layout,
      redirect: '/form/group-form',
      children: [
        {
          path: 'group-form',
          name: '自定义表单分组',
          component: () => import('@/dome/base/form/group.vue'),
          meta: {
            title: '自定义表单分组',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/dynamic',
      component: settings.layout,
      redirect: '/dynamic/dynamic',
      children: [
        {
          path: 'dynamic',
          name: '动态表单',
          component: () => import('@/dome/base/dynamic/index'),
          meta: {
            title: '动态表单',
            icon: 'xdicon_kaifa'
          },
        },
      ]
    },
    {
      path: '/dynamicForm',
      component: settings.layout,
      redirect: '/dynamicForm/dynamicForm',
      children: [
        {
          path: 'dynamicForm',
          name: '创建表单',
          component: () => import('@/dome/base/dynamic/create'),
          hidden: true,
          meta: {
            title: '创建表单',
            icon: 'xdicon_kaifa'
          },
        },
      ]
    },
    {
      path: '/iframes',
      component: settings.layout,
      redirect: '/iframes/iframes',
      children: [
        {
          path: 'iframe',
          name: 'iframe通信',
          component: () => import('@/dome/base/iframe/index'),
          meta: {
            title: 'iframe通信',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/editor',
      component: settings.layout,
      redirect: '/editor/editor',
      children: [
        {
          path: 'editor',
          name: '编辑器',
          component: () => import('@/dome/base/editor/editor'),
          meta: {
            title: '编辑器',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/tree',
      component: settings.layout,
      redirect: '/tree/tree',
      children: [
        {
          path: 'tree',
          name: ' 组织树',
          component: () => import('@/dome/base/tree/tree'),
          meta: {
            title: '组织树',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/city',
      component: settings.layout,
      redirect: '/city/city',
      children: [
        {
          path: 'city',
          name: '选择城市',
          component: () => import('@/dome/base/city/city'),
          meta: {
            title: '选择城市',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/map',
      component: settings.layout,
      redirect: '/city/baidu',
      children: [
        {
          path: 'baidu',
          name: '百度地图',
          component: () => import('@/dome/base/map/baiduMap'),
          meta: {
            title: '百度地图',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/title',
      component: settings.layout,
      redirect: '/title/title',
      children: [
        {
          path: 'title',
          name: '标题类型插件',
          component: () => import('@/dome/base/title/index'),
          meta: {
            title: '标题类型插件',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/select',
      component: settings.layout,
      redirect: '/select/select',
      children: [
        {
          path: 'select',
          name: '选择选项框',
          component: () => import('@/dome/base/select/index'),
          meta: {
            title: '选择选项框',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/input',
      component: settings.layout,
      redirect: '/input/input',
      children: [
        {
          path: 'input',
          name: '输入框',
          component: () => import('@/dome/base/input/index'),
          meta: {
            title: '输入框',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/remote',
      component: settings.layout,
      redirect: '/remote/remote',
      children: [
        {
          path: 'remote',
          name: '远程搜索',
          component: () => import('@/dome/base/remote/remote'),
          meta: {
            title: '远程搜索',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/upload',
      component: settings.layout,
      redirect: '/upload/upload',
      children: [
        {
          path: 'upload',
          name: '上传图片',
          component: () => import('@/dome/base/upload/index'),
          meta: {
            title: '上传图片',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/search',
      component: settings.layout,
      redirect: '/search/search',
      children: [
        {
          path: 'search',
          name: '搜索模块',
          component: () => import('@/dome/base/search/index'),
          meta: {
            title: '搜索模块',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/table',
      component: settings.layout,
      redirect: '/table/table',
      children: [
        {
          path: 'table',
          name: 'Table',
          component: () => import('@/dome/base/table/index'),
          meta: {
            title: 'Table',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/content',
      component: settings.layout,
      redirect: '/content/content',
      children: [
        {
          path: 'content',
          name: '内容页面',
          component: () => import('@/dome/base/content/index'),
          meta: {
            title: '内容页面',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/lottery',
      component: settings.layout,
      redirect: '/lottery/lottery',
      children: [
        {
          path: 'lottery',
          name: '抽奖',
          component: () => import('@/dome/base/lottery/index'),
          meta: {
            title: '抽奖',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
    {
      path: '/dome',
      component: settings.layout,
      redirect: '/dome/dome',
      children: [
        {
          path: 'dome',
          name: '测试页面',
          component: () => import('@/dome/table/create'),
          meta: {
            title: '测试页面',
            icon: 'xdicon_kaifa'
          },
        },

      ]
    },
  ];
}

module.exports = domePages
